Package org.eclipse.m2m.atl.emftvm

## Interface Parameter

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `NamedElement`, `org.eclipse.emf.common.notify.Notifier`, `TypedElement`

All Known Implementing Classes:
  `ParameterImpl`

    public interface Parameter
    extends TypedElement

A representation of the model object 'Parameter'.

See Also:
  `EmftvmPackage.getParameter()`

### Method Summary

All Methods Instance Methods Abstract Methods
`Operation` `getOperation()` Returns the value of the 'Operation' container reference.
`void` `setOperation​(Operation value)` Sets the value of the '`Operation`' container reference.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.m2m.atl.emftvm.NamedElement

`getName, setName`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.m2m.atl.emftvm.TypedElement

`getEType, getType, getTypeModel, setEType, setType, setTypeModel`

### Method Detail

#### getOperation

    Operation getOperation()

Returns the value of the 'Operation' container reference. It is bidirectional and its opposite is '`Parameters`'.

If the meaning of the 'Operation' container reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Operation' container reference.
See Also:
  `setOperation(Operation)`, `EmftvmPackage.getParameter_Operation()`, `Operation.getParameters()`

#### setOperation

    void setOperation​(Operation value)

Sets the value of the '`Operation`' container reference.

Parameters:
  `value` - the new value of the 'Operation' container reference.
See Also:
  `getOperation()`